PDA

View Full Version : Nach Updrade auf 13.1 kein wlan



HURRGESCHNIGGE
05-Jan-2014, 09:13
Moin, Leute und "Frohes neues Jahr"

Das alte Problem ( http://forums.opensuse.org/deutsch-german/hilfe-und-helfen/netzwerk/wireless/482013-wlan-wird-nicht-erkannt.html ) ist wieder da>:(: wlan startet nicht.
/sbin/lspci/ -nnk ergab unter anderem
03:00.0 Network controller (0280): Broadcom Corporation BCM43227 802.11b/g/n (14e4:4358)
Subsystem: Foxconn International, Inc. Device (105b:e040)
Kernel driver in use: bcma-pci-bridge
Kernel modules: bcma, wl

die Tasten Fn+F3 nützen nichts.

Softwareverwaltung zeigt b43-fwcutter 017-4.1.2 und broadcom-wl-kmp-desktop 6.30.223.141_k3.11.6_4-2.6.

Jetzt brauch ich Eure Hilfe.

Grüße

wolfi323
05-Jan-2014, 09:19
/sbin/lspci/ -nnk ergab unter anderem
03:00.0 Network controller (0280): Broadcom Corporation BCM43227 802.11b/g/n (14e4:4358)
Subsystem: Foxconn International, Inc. Device (105b:e040)
Kernel driver in use: bcma-pci-bridge
Kernel modules: bcma, wl
Der "wl" Treiber wird also gar nicht geladen.

Du hast den Treiber von Packman installiert, richtig?
Dann benötigst du auch das Paket "broadcom-wl" (zusätzlich zu "broadcom-wl-kmp-desktop").
Das verhindert nämlich, dass die anderen Treiber (b43, bcma) statt wl geladen werden.

Installier das und es sollte funktionieren...

HURRGESCHNIGGE
05-Jan-2014, 09:44
habe mit apper das broadcom-wl von der PackMan-Seite herruntergeladen und neu gestartet, aber ohne Erfolg.
Oder meinst Du ein anderes broadcom-wl Paket?

wolfi323
05-Jan-2014, 09:56
habe mit apper das broadcom-wl von der PackMan-Seite herruntergeladen und neu gestartet, aber ohne Erfolg.
Oder meinst Du ein anderes broadcom-wl Paket?
Nein, das meinte ich schon.

Was sagt denn "lspci -nnk" jetzt?

Und welche broadcom-Pakete hast du jetzt installiert?

rpm -qa broadcom-*

Und, sicherheitshalber, welcher Kernel ist in Gebrauch?

uname -a

HURRGESCHNIGGE
05-Jan-2014, 10:37
Tja, nirgens taucht broadcom-wl auf. Alles beim alten! Wo hat apper das denn hininstalliert?

HURRGESCHNIGGE
05-Jan-2014, 10:52
Habe es noch 2x probiert broadcom-wl-6.30.223.141-2.6.src.rpm über apper zu installieren. Apper sagt "ja", aber nicht zu finden.

wolfi323
05-Jan-2014, 10:56
Habe es noch 2x probiert broadcom-wl-6.30.223.141-2.6.src.rpm über apper zu installieren. Apper sagt "ja", abernicht zu finden.
rotfl!
Du hast auf den falschen Link geklickt und das Source RPM runtergeladen! Das installiert den Source-Code nach ~/rpmbuild bzw. /usr/src/packages/, den müsstest du dann kompilieren bzw. könntest neue Pakete daraus erstellen.

Lade das hier runter, das ist der richtige Link:
http://packman.links2linux.de/download/broadcom-wl/1568714/broadcom-wl-6.30.223.141-2.6.x86_64.rpm

HURRGESCHNIGGE
05-Jan-2014, 11:25
Du hast auf den falschen Link geklickt und das Source RPM runtergeladen! Das installiert den Source-Code nach ~/rpmbuild bzw. /usr/src/packages/, den müsstest du dann kompilieren bzw. könntest neue Pakete daraus erstellen.
:shame:

Aber jetzt hat es geklappt!rotfl!

DANKE!!!